'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var hotkeys = _interopDefault(require('hotkeys-js'));
var React = _interopDefault(require('react'));

function useHotkeys(cb, keys) {
  React.useEffect(() => {
    hotkeys(keys.join(','), (event, handle) => cb(handle.key, event, handle));
    return () => {
      keys.forEach(key => hotkeys.unbind(key));
    };
  }, [keys]);
}

exports.default = useHotkeys;
